View Issue Details

IDProjectCategoryView StatusLast Update
0003496unrealmodule apipublic2007-08-21 07:03
ReporterCuttingEdgeAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSLinuxOS Version2.6.18
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003496: SSL ports in 005 numeric
DescriptionThe 005 numeric displays 'SSL=' if no SSL ports have been defined when any of the SSL modules (openssl and gnutls) have been loaded. My suggestion would be to hide this unless SSL ports have been defined within any of the client 'bind' config blocks.
Additional InformationIf the 'bind' config block has the following:
ssl "gnutls";
OR
ssl "openssl";

(depending on module loaded)

The 005 numeric displays the following:
SSL=*:6661;*:6697;*:7001;
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

stskeeps

2007-08-21 07:03

reporter   ~0014733

Fixed in r191

Issue History

Date Modified Username Field Change
2007-08-03 01:17 CuttingEdge New Issue
2007-08-21 07:02 stskeeps Relationship added child of 0003417
2007-08-21 07:03 stskeeps QA => Fixed by developer, needs QA testing
2007-08-21 07:03 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-08-21 07:03 stskeeps Status new => resolved
2007-08-21 07:03 stskeeps Fixed in Version => 4.0-devel
2007-08-21 07:03 stskeeps Resolution open => fixed
2007-08-21 07:03 stskeeps Assigned To => stskeeps
2007-08-21 07:03 stskeeps Note Added: 0014733
2017-01-06 15:48 syzop Category module => module api